#include "hellosignalslot.h"
#include <QDebug>

// The constructor implementation must forward the parent
// parameter to the base class. Otherwise this object would
// be constructed without a parent.
HelloSignalSlot::HelloSignalSlot(QObject *parent)
    : QObject(parent)
{
}

// Slot implementation does something useful. In this case
// it just emits another signal.
void HelloSignalSlot::hello()
{
    // qDebug can be used in C++ stream style with the
    // << operator or as printf-style with formatting
    // options
    qDebug() << "Emitting helloSignal from hello slot";
    emit helloSignal();
}
