#include "helloworldlibrary.h"
#include "hwlibprivate.h"

// Objects can also be created within constructor initializer list
HelloWorldLibrary::HelloWorldLibrary()
    : privateObj(new HWLibPrivate())
{
}

HelloWorldLibrary::~HelloWorldLibrary()
{
    // Destructor must free all objects allocated by this object
    delete privateObj;
}

void HelloWorldLibrary::printHello()
{
    privateObj->printHello();
}
